# Delete Streaming Locator

`del https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name`

Deletes the Streaming Locator. If the Streaming Locator does not exist, a 204 is returned same as if it does. Once the Streaming Locator is deleted, all future requests to the path owned by the Streaming Locator will fail. If content is cached in a CDN, playback may continue to work for some time until the cached content expires.

**RBAC Capability Required:** `ams.streaminglocator.delete`

## Authentication

**Authorization Bearer**

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- `project_name` **string Required**  
- `locator_name` **string Required**

## Response

- **200** Streaming Locator deleted.
  
  No response body.

- **204** Nothing to delete.
  
  No response body.

## Errors

- **400 Bad Request**
  
  `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  
  Pertinent information about the error  
  
  - **code** `string Required`
    
    The error code.
  - **detail** `string Required`
    
    The error message.
  - **extraDetail** `map from strings to any Optional`
    
    Extra information regarding this error.
  - **ref** `string Required`
    
    A reference to the request that caused the error.
  - **status** `integer Required`
    
    The HTTP status code

- **401 Unauthorized**
  
  `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required
  
  Pertinent information about the error  
  
  - **code** `string Required`
    
    The error code.
  - **detail** `string Required`
    
    The error message.
  - **extraDetail** `map from strings to any Optional`
    
    Extra information regarding this error.
  - **ref** `string Required`
    
    A reference to the request that caused the error.
  - **status** `integer Required`
    
    The HTTP status code

- **403 Forbidden**
- **404 Not Found**
- **429 Too Many Requests**
- **500 Internal Server Error**

Each of these errors follows the same object structure as shown above.
